# SPDX-FileCopyrightText: 2017-2021 Jens Lechtenbörger
# SPDX-License-Identifier: CC0-1.0

image: registry.gitlab.com/oer/emacs-reveal/emacs-reveal:8.29.0

test:
  script:
    - make dcheck
  only:
    refs:
      - master
      - merge_requests
    changes:
      - Makefile
      - "**/*.el"
      - ".gitlab-ci.yml"

pages:
  stage: deploy
  script:
    - emacs --batch -L /root/.emacs.d/elpa/emacs-reveal/org-mode/lisp --load org-re-reveal.el --load test-cases/publish.el
  artifacts:
    paths:
      - public
  only:
    refs:
      - master
      - lechten
    changes:
      - Makefile
      - "**/*.org"
      - "**/*.el"
      - ".gitlab-ci.yml"
